Discover

Get Started

Developers

Industries

Monitor Transfers

Track Transfer status, progress, and results through the Transfer History.

PurposeMethod ยท Endpoint
List Transfer HistoryGET /api/transfer-history
Get Transfer DetailsGET /api/transfer-history/{id}/detail
Get File List (In Progress)GET /api/transfer/{id}/get-files
Get File List (Completed History)GET /api/transfer-history/{id}/get-files
Export CSVGET /api/transfer-history/export-csv
bash
1
2
3
curl "https://exacoola.innorix.com/api/transfer-history?page=1&size=20" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>"

Response:

json
1
2
3
4
5
6
7
8
9
10
11
12
{ "status_code": 200, "message": "success", "data": { "items": [ { "id": "mon_7788", "status": "completed", "totalFiles": 128, "transferredBytes": 4823910 } ], "page": 1, "size": 20, "total": 1 } }

Get Transfer Details โ€” GET /api/transfer-history/{id}/detail

ParameterTypeDescription
idTypestringID type (transfer / monitor)
bash
1
2
3
curl "https://exacoola.innorix.com/api/transfer-history/mon_7788/detail" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>"

Get File List โ€” GET /api/transfer-history/{id}/get-files

ParameterTypeDescription
current_pathstringSubdirectory path to retrieve
pageintegerPage number
sizeintegerNumber of results per page
idTypestringID type (transfer / monitor)
bash
1
2
3
curl "https://exacoola.innorix.com/api/transfer-history/mon_7788/get-files?page=1&size=50" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>"

Export CSV โ€” GET /api/transfer-history/export-csv

ParameterTypeDescription
pageintegerPage number
sizeintegerNumber of results per page
sortstringSort order (for example, createdAt:desc)
statusstringFilter by status code
searchKeywordstringSearch keyword
filterstringAdditional filter (URL-encoded JSON)
bash
1
2
3
4
curl "https://exacoola.innorix.com/api/transfer-history/export-csv?status=completed" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>" \ -o transfer-history.csv